#include <bits/stdc++.h>
using namespace std;
long s[10000],i=0;
long dao(long a)
{
    if(a==0){
        return 0;
    }
    dao(a/10);
    s[i]=a%10;
    i++;
}
int main()
{
    ifstream f1("DQND.inp");
    ofstream f2("DQND.out");
    long n;
    f1>>n;
    dao(n);
    for(long j=i-1;j>=0;j--){
        f2<<s[j];
    }
    f2<<endl;
    f2<<i;
    f1.close();
    f2.close();
}
